#pragma once

#include "resource.h"

class CBlockItem_Virtual;

// CBlockItem_VirtualProps dialog

class CBlockItem_VirtualProps : public CDialog
{
	DECLARE_DYNAMIC(CBlockItem_VirtualProps)

public:
	CBlockItem_VirtualProps(CWnd* pParent = NULL, CBlockItem_Virtual* pOwner = NULL);   // standard constructor
	virtual ~CBlockItem_VirtualProps();

// Dialog Data
	enum { IDD = IDD_VIRTUALBLOCKPROPS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	DWORD m_nInputCount;
	DWORD m_nOutputCount;
	CString m_strName;
	virtual BOOL OnInitDialog();
private:
	CBlockItem_Virtual* m_pOwner;
protected:
	virtual void OnOK();
	virtual void OnCancel();
public:
	afx_msg void OnBnClickedApply();
};
